{
    attributes = (
        {
            columnName = "com_libelle"; 
            externalType = VARCHAR2; 
            name = comLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 50; 
        }, 
        {
            columnName = "com_ordre"; 
            externalType = NUMBER; 
            name = comOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ges_Code"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = s; 
            width = 10; 
        }
    ); 
    attributesUsedForLocking = (comLibelle, gesCode, comOrdre); 
    className = "org.cocktail.application.serveur.eof.EOComptabilite"; 
    classProperties = (comLibelle, gestion); 
    externalName = "JEFY_RECETTE.v_Comptabilite"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (comLibelle, gestion); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOComptabilite"; 
        "_nameInObjectStore" = Comptabilite; 
        uniqueID = 191824834; 
    }; 
    isReadOnly = Y; 
    name = "ca_Comptabilite"; 
    primaryKeyAttributes = (comOrdre); 
    relationships = (
        {
            destination = "ca_Gestion"; 
            internalInfo = {uniqueID = 191824502; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = gestion; 
        }
    ); 
}
